import { OnChanges, EventEmitter } from '@angular/core';
import { Configs } from './models/Configs.model';
import { AngularTreeViewService } from './angular-tree-view.service';
import { Column } from './models/Column.model';
export declare class AngularTreeViewComponent implements OnChanges {
    private angularTreeViewService;
    processed_data: any[];
    expand_tracker: Object;
    columns: Column[];
    data: any[];
    configs: Configs;
    default_configs: Configs;
    default_column_config: Column;
    cellclick: EventEmitter<any>;
    expand: EventEmitter<any>;
    collapse: EventEmitter<any>;
    constructor(angularTreeViewService: AngularTreeViewService);
    ngOnChanges(): void;
    setDefaultConfigs(): void;
    setColumnNames(): void;
}
